- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: cfda870e-f649-4c6e-83d8-41320f1ffc24
    creation_time: 2023-02-17T12:05:04.537907Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/functions_1-1.c
      input_file_hashes:
        c/loop-acceleration/functions_1-1.c: d9fc6ec4480297fee1f7419ded78cafcfaf309d48a05ca3c98ab67dd7817eba5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/functions_1-1.c
    file_hash: d9fc6ec4480297fee1f7419ded78cafcfaf309d48a05ca3c98ab67dd7817eba5
    line: 19
    column: 0
    function: main
  loop_invariant:
    string: x%2 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2880cc0b-b0cd-49f1-8786-becb61522eb5
    creation_time: 2023-02-17T12:05:04.538201Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/functions_1-1.c
      input_file_hashes:
        c/loop-acceleration/functions_1-1.c: d9fc6ec4480297fee1f7419ded78cafcfaf309d48a05ca3c98ab67dd7817eba5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/functions_1-1.c
    file_hash: d9fc6ec4480297fee1f7419ded78cafcfaf309d48a05ca3c98ab67dd7817eba5
    line: 23
    column: 0
    function: main
  location_invariant:
    string: x%2 == 0
    type: assertion
    format: C

